DCHIST(1)

NAME
dchist - ACR/NEMA DICOM PS3 ... DICOM PS3 - DICOM image statistics

SYNOPSIS

dchist [ -h|histogram ] [ -csv ] [ -withhighbits|highbitsonly ] [ -v|verbose ] [ -filename ]

DESCRIPTION

dchist reads the named dicom or acr-nema input file and describes the statistics of the image pixel data. The primary intent is to determine the zero order entropy of the image.

The description and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-h|histogram
    Display table of pixel value, frequency, probability, contribution to zero order entropy, and cumulative zero order entropy. May generate a LOT of output !

-csv
    Display only a comma separated value pair of pixel value and frequency, one line per value, e.g., for import into a statistical program or spreadsheet

-withhighbits
    Include as well the values that are above Bits Stored and within Bits Allocated, such as might be overlay bits (regardless of whether or not there are any 60xx group elements).

-highbitsonly
    Use instead the values that are above Bits Stored and within Bits Allocated, such as might be overlay bits, and treat all valid pixel values below Bits Stored inclusive as zero (regardless of whether or not there are any 60xx group elements).

-v|verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dchist expmeta.dc3
9.02366 Zero order entropy (bits per pixel)
0x0 Smallest symbol value
0 Smallest symbol length (bits)
0x6e9 Largest symbol value
11 Largest symbol length (bits)
% dchist -h expmeta.dc3
[0x0] 392 p=0.00598145 e=0.0441747 cum=0.0441747
 ...
[0x6e9] 1 p=1.52588e-05 e=0.000244141 cum=9.02366
9.02366 Zero order entropy (bits per pixel)
0x0 Smallest symbol value
0 Smallest symbol length (bits)
0x6e9 Largest symbol value
11 Largest symbol length (bits)

FILES

SEE ALSO
dcstats(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS